Bug 254688

Summary: [REVIVE] www/sws
Product: Ports & Packages Reporter: Brett Wynkoop <bsdbugs>
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Open ---    
Severity: Affects Many People CC: bsdbugs, wynkoop
Priority: --- Keywords: easy, needs-patch
Version: LatestFlags: koobs: maintainer-feedback? (bsdbugs)
koobs: merge-quarterly?
Hardware: Any   
OS: Any   

Description Brett Wynkoop 2021-04-01 05:44:42 UTC
I just installed a new freebsd 12.1 VM and on moving to /usr/ports/www/sws I discovered it did not exist.  This is with ports current as of 31 March 2021.

Being the author I just grabbed the code from my own web server with lynx and installed by hand.

Why was sws removed from ports?

What do I have to do to get it back in?

It has been perfectly functional since I contributed it and it runs on even the most recent versions.

There are times when you just need a super small web server that needs nothing more than /bin/sh to run.

Help.

Thanks.

-Brett
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2021-04-01 17:00:30 UTC
(In reply to Brett Wynkoop from comment #0)
> Why was sws removed from ports?

Apparently it failed to build:

portsjail% grep www/sws $PORTSDIR/MOVED
www/sws||2020-05-05|Has expired: Broken for more than 6 months
Comment 2 Brett Wynkoop 2021-04-01 20:51:05 UTC
Wish someone would have emailed me.  Not sure how it could fail to build.  The whole thing is a single man page, single /bin/sh script, and a config file.

Perhaps since the source site was off line for a bit that failed it.

Source system is back up now and has been for some time.

Can we get it back in?

Also I have a bug fix.  How do I go about updating to a new version that has the bug fixed?

Thanks so much!
Comment 3 Brett Wynkoop 2021-04-09 05:53:47 UTC
I just dropped the sws port dir into /usr/ports/www/sws on a freebsd 12.2 system and the results of make are below:

root@prd1:/usr/ports/www/sws # make
===>  License BSD2CLAUSE accepted by the user
===>   sws-1.0 depends on file: /usr/local/sbin/pkg - found
=> sws-1.0.tar.gz doesn't seem to exist in /var/ports/distfiles/.
=> Attempting to fetch http://prd4.wynn.com:8080/src/sws-1.0.tar.gz
fetch: http://prd4.wynn.com:8080/src/sws-1.0.tar.gz: size unknown
fetch: http://prd4.wynn.com:8080/src/sws-1.0.tar.gz: size of remote file is not known
sws-1.0.tar.gz                                        4886  B  118 kBps    00s
===> Fetching all distfiles required by sws-1.0 for building
===>  Extracting for sws-1.0
=> SHA256 Checksum OK for sws-1.0.tar.gz.
===>  Patching for sws-1.0
===>  Applying FreeBSD patches for sws-1.0 from /var/ports/www/sws/files
===>  Configuring for sws-1.0
===>  Building for sws-1.0
===>  Staging for sws-1.0
===>   Generating temporary packing list
mkdir -p /var/ports/www/sws/work/stage/usr/local/sws/docs /var/ports/www/sws/work/stage/usr/local/man/man8
touch /var/ports/www/sws/work/stage/usr/local/etc/sws.cfg
chmod 775 /var/ports/www/sws/work/stage/usr/local/sws/docs
chmod 644  /var/ports/www/sws/work/stage/usr/local/etc/sws.cfg
cp sws.txt /var/ports/www/sws/work/stage/usr/local/bin/sws
cp sws.8.txt  /var/ports/www/sws/work/stage/usr/local/man/man8/sws.8
chmod 755 /var/ports/www/sws/work/stage/usr/local/bin/sws
chmod 644 /var/ports/www/sws/work/stage/usr/local/man/man8/sws.8
====> Compressing man pages (compress-man)
root@prd1:/usr/ports/www/sws # 


Can we please get this put back into ports?
Comment 4 Brett Wynkoop 2021-04-09 06:06:13 UTC
root@prd1:/usr/ports/www/sws # make install
===>  Installing for sws-1.0
===>  Checking if sws is already installed
===>   Registering installation for sws-1.0
Installing sws-1.0...
root@prd1:/usr/ports/www/sws # make package
===>  Building package for sws-1.0
root@prd1:/usr/ports/www/sws # 

root@prd1:/usr/ports/www/sws # uname -a
FreeBSD prd1 12.2-RELEASE-p6 FreeBSD 12.2-RELEASE-p6 GENERIC  amd64
Comment 5 wynkoop 2021-08-09 06:33:50 UTC
Can I get someone to put this back in ports already please?

If you look through the ticket you will find that it builds!

I suspect there never was a build problem, just a short period of time where my source code server was down.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2021-08-09 07:21:32 UTC
(In reply to Brett Wynkoop from comment #2)

If you could include a patch that has bugfixes or improvements without a version (feature) update, that would be great, and for this issue would be a great time to do that. 

In the absence of other changes, a diff against the tree copying the port from the last known revision, readding the www/Makefile category entry, and removing the MOVED entry would also be suitable.